'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.composeWithConnection = composeWithConnection;

var _graphqlCompose = require('graphql-compose');

var _connectionResolver = require('./connectionResolver');

function composeWithConnection(typeComposer, opts) {
  if (!(typeComposer instanceof _graphqlCompose.TypeComposer)) {
    throw new Error('You should provide TypeComposer instance to composeWithRelay method');
  }

  if (!opts) {
    throw new Error('You should provide non-empty options to composeWithConnection');
  }

  if (typeComposer.hasResolver(opts.name || 'connection')) {
    return typeComposer;
  }

  var resolver = (0, _connectionResolver.prepareConnectionResolver)(typeComposer, opts);

  typeComposer.setResolver(opts.name || 'connection', resolver);
  return typeComposer;
}